<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('data_pemeriksaan_balita', function (Blueprint $table) {
            $table->id();
            $table->foreignId('balita_id');
            $table->string('tanggal_kunjungan')->nullable();
            $table->string('usia_balita_tahun')->nullable();
            $table->string('usia_balita_bulan')->nullable();
            $table->string('usia_balita')->nullable();
            $table->string('tinggi_badan')->nullable();
            $table->string('berat_badan')->nullable();
            $table->string('lingkar_kepala_balita')->nullable();
            $table->string('vitamin_id')->nullable();
            $table->string('imunisasi_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('data_pemeriksaan_balita');
    }
};
